UM 2.0 ready

Majority of the plugins here on SuitePlugins are compatible with UM 2.0 and backward compatible as well. However, there may be issues and additions that you would like and I would love to hear them.

Need Help?

Are you using a plugin or theme that is not compatible with the latest version of UM 2.0? Let me know, perhaps I can be of assistance. SuitePlugins is here to help.

Featured Downloads

Buy Now

Buy Now

Buy Now